/*

	Copyright (c) 2020, 2023, The Unified Company.

	This code is part of Unify.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE,
	as published by the Free Software Foundation.
	See the GNU AFFERO GENERAL PUBLIC LICENSE, for more details.

	https://unifyjs.org 

*/

export default class cssRules{

	style = "";

	styleTypes		= new Array();

	addStyleListener( propertyTerm, cssSuffix ) {

		var styleType				= new Object();

		styleType.propertyTerm		= propertyTerm;

		styleType.cssSuffix			= cssSuffix;

		styleType.css				= "";

		this.styleTypes.push( styleType );

	}



}

